# class bufferArray

An array of bufferStores More...

Definition | `#include <bufferarray.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- bufferArray ()
- bufferArray (const bufferArray &a)
- ~bufferArray ()
- bufferArray & operator = (const bufferArray &a)
- bool empty () const
- bufferStore & operator [] (const unsigned long index)
- bufferArray operator + (const bufferStore &s)
- bufferArray operator + (const bufferArray &a)
- bufferArray & operator += (const bufferStore &s)
- bufferArray & operator += (const bufferArray &a)
- bufferStore pop (void)
- void push (const bufferStore& b)
- void append (const bufferStore& b)
- long length (void)
- void clear (void)

## Detailed Description

An array of bufferStores

bufferArray ()

### bufferArray

constructs a new bufferArray. A minimum of ALLOC_MIN elements is allocated.

bufferArray (const bufferArray &a)

### bufferArray

Constructs a new bufferArray.

Parameters:

a | The initial contents for this array.

~bufferArray ()

### ~bufferArray

Destroys the bufferArray.

bufferArray & operator = (const bufferArray &a)

### operator =

Copys the bufferArray.

bool empty ()

### empty

[const]

Checks if this bufferArray is empty.

Returns: true if the bufferArray is empty.

bufferStore & operator [] (const unsigned long index)

### operator []

Retrieves the bufferStore at given index.

Returns: The bufferStore at index.

bufferArray operator + (const bufferStore &s)

### operator +

Appends a bufferStore to a bufferArray.

Parameters:

s | The bufferStore to be appended.

Returns: A new bufferArray with bufferStore appended to.

bufferArray operator + (const bufferArray &a)

### operator +

Concatenates two bufferArrays.

Parameters:

a | The bufferArray to be appended.

Returns: A new bufferArray consisting with a appended.

bufferArray & operator += (const bufferStore &s)

### operator +=

Appends a bufferStore to current instance.

Parameters:

s | The bufferStore to append.

Returns: A reference to the current instance with s appended.

bufferArray & operator += (const bufferArray &a)

### operator +=

Appends a bufferArray to current instance.

Parameters:

a | The bufferArray to append.

Returns: A reference to the current instance with a appended.

bufferStore pop (void)

### pop

Removes the first bufferStore.

Returns: The removed bufferStore.

void push (const bufferStore& b)

### push

Inserts a bufferStore at index 0.

Parameters:

b | The bufferStore to be inserted.

void append (const bufferStore& b)

### append

Appends a bufferStore.

Parameters:

b | The bufferStore to be appended.

long length (void)

### length

Evaluates the current length.

Returns: The current number of bufferStores

void clear (void)

### clear

Empties the bufferArray.

Generated by: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.